Subject: Re: My git repo is broken, how to fix it ?

From: Alexander Litvinov <[email-masked]>
Date: Tue, 20 Mar 2007 12:55:22 +0600

В сообщении от Tuesday 20 March 2007 11:34 Linus Torvalds написал:
> Ok, this is different from what I expected.

I will try to stop using git-gc for some time to find out broken loose 
objects.

> > I also use autocrlf feature:
> > $ git config core.autocrlf
> > true
>
> More interesting might be if you might be using any of the other flags
> that actually affect internal git object packing: "use_legacy_headers" in
> particular? If we have a bug there, that could be nasty.
This is the all my config options:
$ git config -l
user.name=Alexander Litvinov
user.email=XXX
core.logallrefupdates=true
core.filemode=false
core.autocrlf=true
diff.color=auto
status.color=auto
apply.whitespace=strip
core.repositoryformatversion=0
core.filemode=false
core.bare=false
remote.origin.url=/home/lan/src/XXX
remote.origin.fetch=+refs/heads/*:refs/remotes/origin/*
branch.master.remote=origin
branch.master.merge=refs/heads/master
branch.XXX.remote=origin
branch.XXX.merge=refs/heads/XXX

> Ok, no problem. I added back the git list (but not your attachments,
> obviously) but as explained above, there is not a lot I can do with the
> unpacked data, I'd like to see the actual "raw" stuff.

I undertand your wish.

> I'm hoping somebody has any ideas. We really *could* check the SHA1 on
> each read (and slow down git a lot) and that would catch corruption much
> faster and hopefully pinpoint it more quickly where exactly it happens.

I can live with such slowdown as far as cygwin not fast and I am ready to wait 
right now. I don't think the situation become realy worser than now :-)